<?php
/**
 * The functions template.
 *
 * @package 		ExportKit
 * @subpackage 		ek126_1001_wordpress_bluebox_theme.psd
 * @since 			2014:08:24 21:09:18
 *
 */


/*
			
This will create the theme options from Export Kit based on your PSD 
layout.  
			
-- DO NOT EDIT THIS FILE --
Add your custom PHP code to "custom.php" to maintain the ouptut.  This
way if you re-export your PSD, your functions.php will not overwrite.
			
*/

define('EK','Export Kit');
define('EKWEB','http://exportkit.com/');
define('EKWEB_LOGO','resources/skins/misc/exportkit_logo_32.png');
define('EKWEB_LOGO_MINI','resources/skins/misc/exportkit_logo.png');
define('EKTHEME_CONTENT_WIDTH','100%');
define('EKTHEME_CONTENT_MARGIN','1em');
			
function ek_admin_css(){?><style>.widefat td { color: #555; } .widefat tr td:first-child { width:300px; padding-right:10px; } .widefat td p { font-size:10px; } .widefat td, .widefat th {	border-top-color: #FFF; border-bottom-color: #DFDFDF; } .widefat th, .widefat td {	overflow: hidden; }	.widefat td { font-size: 12px; 	padding: 10px; vertical-align: top;	} .widefat td, .widefat th { border-width: 1px 0px; 	border-style: solid; } .widefat * {	word-wrap: break-word; } .ektabs{border-bottom:1px solid #E6DB55;padding-left:5px;} .ektab{border-top-left-radius:5px;border-top-right-radius:5px;color:#686868;border-style: solid; border-width: 1px 1px 0px; text-shadow: 0px 1px 0px #FFF; font-size: 16px; display: inline-block; padding: 4px 14px 6px; text-decoration: none; margin: 0px 6px -1px 0px;border-color: #DFDFDF #DFDFDF #FFF;} .ektab.ektab_active{border-color:#E6DB55;border-bottom-color:#fff;color:#5f5f5f;font-weight:700;}</style><?php }
			
function ek_admin_nav($opt){ ?>
	<div style="clear:both;height:0.5em;"></div>
	<p class="ektabs" >
			<a class="ektab ektab_<?php echo $opt == "ek_theme_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_theme_settings"><?php echo get_option('ek_theme_name', EK.' Theme'); ?></a>
			<a class="ektab ektab_<?php echo $opt == "ek_index_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_index_settings">Index</a>
			<a class="ektab ektab_<?php echo $opt == "ek_footer_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_footer_settings">Footer</a>
			<a class="ektab ektab_<?php echo $opt == "ek_services_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_services_settings">Services</a>
			<a class="ektab ektab_<?php echo $opt == "ek_header_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_header_settings">Header</a>
			<a class="ektab ektab_<?php echo $opt == "ek_single_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_single_settings">Single</a>
			<a class="ektab ektab_<?php echo $opt == "ek_404_settings" ? 'active' : 'inactive'; ?>" href="admin.php?page=ek_404_settings">404</a>
			
	</p>
<?php }
			
function ek_theme_css(){ ?>
		<style type="text/css">
			.entry { margin:0 auto; }
			.entry, .entry-comment, .comments { width: <?php echo get_option('ek_theme_content_width', EKTHEME_CONTENT_WIDTH); ?>; }
			.entries { margin: <?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN); ?>; }
			#sidebar { margin-top: <?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN); ?>; }
			.comments ol li, .entry td, .entry th, pre { padding: <?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN); ?>; }
			.comment, dd, p { margin-bottom: <?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN); ?>; }
			.comment-author .avatar { margin-right: <?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN); ?>; }
		</style>	
<?php }
			
function ek_theme_js(){ ?>
		<script>
		(function() {
			
			//corrects the sidebar height
			if(document.getElementById('sidebar')){
				var ek_sb_container = document.getElementById('sidebar').parentNode;
				var ek_max_h = 0;
				for (var i = 0; i < ek_sb_container.children.length; i++) {
					var child = ek_sb_container.children[i];
					if(child.offsetTop + ek_oh(child) > ek_max_h){
						ek_max_h = parseInt(child.offsetTop) + ek_oh(child);
					}
				}
				ek_sb_container.style.height = ek_max_h+'px';	
			}
			
			//corrects the nav items size
			var navs = document.getElementsByClassName('nav-item');
			for (var i = 0; i < navs.length; ++i) {
				var nav = navs[i].children;  
				var ek_max_h = 0;
				var ek_max_w = 0;
				for( var ii = 0; ii < nav.length; ii++){
					var child = nav[ii];
					if(child.offsetTop + ek_oh(child) > ek_max_h){
						ek_max_h = parseInt(child.offsetTop) + ek_oh(child);
					}
					if(child.offsetLeft + ek_ow(child) > ek_max_w){
						ek_max_w = parseInt(child.offsetLeft) + ek_ow(child);
					}
				}
				navs[i].style.height = ek_max_h+'px';
				navs[i].style.width = ek_max_w+'px';
			}	
		})();
		
		function ek_oh(el){
			var style = el.currentStyle || window.getComputedStyle(el);
			var outerHeight = el.offsetHeight;
			outerHeight += parseInt(style.marginTop);
			outerHeight += parseInt(style.marginBottom);
			return outerHeight;
		}
			
		function ek_ow(el){
			var style = el.currentStyle || window.getComputedStyle(el);
			var offsetWidth = el.offsetWidth;
			offsetWidth += parseInt(style.marginLeft);
			offsetWidth += parseInt(style.marginRight);
			return offsetWidth;
		}
		</script>
<?php }

function ek_create_menu() {

	add_menu_page(
		'Export Kit Settings'
		, get_option('ek_theme_name', EK.' Theme')
		, 'manage_options'
		, 'ek_theme_settings'
		, 'ek_settings_page' 
		, get_option('ek_theme_logo_mini', EKWEB.EKWEB_LOGO_MINI)
		, 61
	);	
	add_submenu_page('ek_theme_settings', 
		'Index Elements', 'Index', 'manage_options', 
		'ek_index_settings', 'ek_index_settings_page'); 		
	add_submenu_page('ek_theme_settings', 
		'Footer Elements', 'Footer', 'manage_options', 
		'ek_footer_settings', 'ek_footer_settings_page'); 		
	add_submenu_page('ek_theme_settings', 
		'Services Elements', 'Services', 'manage_options', 
		'ek_services_settings', 'ek_services_settings_page'); 		
	add_submenu_page('ek_theme_settings', 
		'Header Elements', 'Header', 'manage_options', 
		'ek_header_settings', 'ek_header_settings_page'); 		
	add_submenu_page('ek_theme_settings', 
		'Single Elements', 'Single', 'manage_options', 
		'ek_single_settings', 'ek_single_settings_page'); 		
	add_submenu_page('ek_theme_settings', 
		'404 Elements', '404', 'manage_options', 
		'ek_404_settings', 'ek_404_settings_page'); 		

	
	add_action( 'admin_init', 'ek_register_mysettings' );
			
} 
			
add_theme_support( 'menus' );
register_nav_menus(array(
	'ek_header_menu_nav' => 'Header Menu'
));
			
add_action( 'wp_head', 'ek_theme_css');
add_action( 'wp_footer', 'ek_theme_js');
add_action('admin_menu', 'ek_create_menu');
					
function ek_register_mysettings() {
	
	//defaults
	register_setting( 'ek_theme_default', 'ek_theme_content_width' );
	register_setting( 'ek_theme_default', 'ek_theme_content_margin' );
	register_setting( 'ek_theme_default', 'ek_theme_name' );
	register_setting( 'ek_theme_default', 'ek_theme_logo' );
	register_setting( 'ek_theme_default', 'ek_theme_logo_mini' );		

	//index
	register_setting( 'ek_index_settings', 'bg_color' );
	register_setting( 'ek_index_settings', 'bg_image' );
	register_setting( 'ek_index_settings', 'home_desc' );
	register_setting( 'ek_index_settings', 'home_title' );
	register_setting( 'ek_index_settings', 'content_header_bg' );
	register_setting( 'ek_index_settings', 'content_header_desc' );
	register_setting( 'ek_index_settings', 'content_header_title' );
	register_setting( 'ek_index_settings', 'sample_mini_bg' );
	register_setting( 'ek_index_settings', 'samples_mini_title' );
	register_setting( 'ek_index_settings', 'sam_mini_1' );
	register_setting( 'ek_index_settings', 'sam_mini_1_link' );
	register_setting( 'ek_index_settings', 'sam_mini_2' );
	register_setting( 'ek_index_settings', 'sam_mini_2_link' );
	register_setting( 'ek_index_settings', 'sam_mini_3' );
	register_setting( 'ek_index_settings', 'sam_mini_3_link' );
	register_setting( 'ek_index_settings', 'sam_mini_4' );
	register_setting( 'ek_index_settings', 'sam_mini_4_link' );
	register_setting( 'ek_index_settings', 'sam_mini_5' );
	register_setting( 'ek_index_settings', 'sam_mini_5_link' );

	//footer
	register_setting( 'ek_footer_settings', 'footer_bg_color' );
	register_setting( 'ek_footer_settings', 'fb_usr' );
	register_setting( 'ek_footer_settings', 'fb_usr_link' );
	register_setting( 'ek_footer_settings', 'tw_usr' );
	register_setting( 'ek_footer_settings', 'tw_usr_link' );
	register_setting( 'ek_footer_settings', 'footer_about' );
	register_setting( 'ek_footer_settings', 'footer_subscribe_1' );
	register_setting( 'ek_footer_settings', 'footer_subscribe_1_link' );
	register_setting( 'ek_footer_settings', 'footer_subscribe_2' );
	register_setting( 'ek_footer_settings', 'footer_subscribe_2_link' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_1' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_1_link' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_2' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_2_link' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_3' );
	register_setting( 'ek_footer_settings', 'footer_pagelist_3_link' );

	//services
	register_setting( 'ek_services_settings', 'service_desc' );
	register_setting( 'ek_services_settings', 'service_title' );
	register_setting( 'ek_services_settings', 'cases_bg_color' );
	register_setting( 'ek_services_settings', 'cases_title' );
	register_setting( 'ek_services_settings', 'cases_desc_1' );
	register_setting( 'ek_services_settings', 'cases_base_1' );
	register_setting( 'ek_services_settings', 'cases_desc_2' );
	register_setting( 'ek_services_settings', 'cases_base_2' );

	//header
	register_setting( 'ek_header_settings', 'header_bg_color' );
	register_setting( 'ek_header_settings', 'home_logo' );

	//single
	register_setting( 'ek_single_settings', 'single_thumb_bg_color' );

	//404
	register_setting( 'ek_404_settings', '404_title' );
	register_setting( 'ek_404_settings', 'the_404_message' );

} 
 
function ek_reset_settings(){
	$reset_settings = ek_page_options_defaults();
	foreach($reset_settings as $reset_key=>$reset_val){
		update_option($reset_key, htmlspecialchars(urldecode($reset_val)));
	}
}

function ek_settings_page() { 
	if(isset($_POST['ek_theme_reset']) && $_POST['ek_theme_reset'] == "on") ek_reset_settings();
?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Theme Settings</h2>
		<?php ek_admin_nav('ek_theme_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
				<b>Note :</b> This is your <b>ek126_1001_wordpress_bluebox_theme</b>, Export Kit settings page.  
				<div style="clear:both;height:0.5em;"></div>		
				<p>These options will customize your ek126_1001_wordpress_bluebox_theme WordPress Theme when used in admin mode.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_theme_default' ); ?>
			<?php do_settings_sections( 'ek_theme_default' ); ?>
			
			<h2>General Settings</h2>
			<table class="form-table widefat">
			
				<tr valign="top">
				<td>Name</td>
				<td><input type="text" name="ek_theme_name" value="<?php echo get_option('ek_theme_name', EK.' Theme'); ?>" /><p>This name will be used as the default theme name.</p></td>
				</tr>
			
				<tr valign="top">
				<td>Logo (Header)</td>
				<td><input type="text" name="ek_theme_logo" value="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" /><p><code>Size: <b>36x34</b></code><br/>This image will be used as the <b>Theme Settings Page</b> logo (top).</p></td>
				</tr>
				
				<tr valign="top">
				<td>Icon Logo (Sidebar)</td>
				<td><input type="text" name="ek_theme_logo_mini" value="<?php echo get_option('ek_theme_logo_mini', EKWEB.EKWEB_LOGO_MINI) ?>" /><p><code>Size: <b>16x16</b></code><br/>This image will be used as the <b>WordPress Admin Nav</b> logo (sidebar).</p></td>
				</tr>
			
				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
			<div style="clear:both;height:2.5em;"></div>
			<h2>Content Settings</h2>
			<table class="form-table widefat">
			
				<tr valign="top">
				<td>Entry Width</td>
				<td><input type="text" name="ek_theme_content_width" value="<?php echo get_option('ek_theme_content_width', EKTHEME_CONTENT_WIDTH) ?>" /><p>Default: <b><?php echo EKTHEME_CONTENT_WIDTH; ?></b>  <br/>Eg. <code>950px</code> or <code>80%</code></p></td>
				</tr>
			
				<tr valign="top">
				<td>Entry Container Margin</td>
				<td><input type="text" name="ek_theme_content_margin" value="<?php echo get_option('ek_theme_content_margin', EKTHEME_CONTENT_MARGIN) ?>" /><p>Default: <b><?php echo EKTHEME_CONTENT_MARGIN; ?></b>  <br/>Eg. <code>20px</code> or <code>2em</code></p></td>
				</tr>
			
			<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
		</form>
			
		<form method="post">
		
			<div style="clear:both;height:2.5em;"></div>
			<h2>Export Kit Defaults</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
				<td>Reset all Export Kit custom page options to their default values</td>
				<td><p style="color:#ff0000;font-size:14px;">Are you sure?</p><label ><input style="margin-right:0.5em;" type="checkbox" onclick="ek_enable_reset()" id="ek_theme_reset" name="ek_theme_reset" />Yes, I know what I am doing.</label></td>
				</tr>
				
				<tr valign="top"><td></td><td><button id="ek_theme_reset_bt" ><b>Reset - You CANNOT undo this!</b></button></td></tr>
			</table>
			<script>
function ek_enable_reset(){
	if (document.getElementById("ek_theme_reset").checked == true){
		document.getElementById("ek_theme_reset_bt").disabled = false;
		document.getElementById("ek_theme_reset_bt").style.alpha = 1;
		document.getElementById("ek_theme_reset_bt").style.color = "#000";
	}else{
		document.getElementById("ek_theme_reset_bt").disabled = true;
		document.getElementById("ek_theme_reset_bt").style.alpha = 0.4;
		document.getElementById("ek_theme_reset_bt").style.color = "#ccc";
	}
}
ek_enable_reset();
			</script>
		</form>

		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_index_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Index Settings</h2>
		<?php ek_admin_nav('ek_index_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>index template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_index_settings' ); ?>
			<?php do_settings_sections( 'ek_index_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Index header</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Description</td>
					<td><textarea cols="60" rows="4" name="home_desc" ><?php echo get_option('home_desc', ek_page_options_defaults('home_desc')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="home_title" ><?php echo get_option('home_title', ek_page_options_defaults('home_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Sample icons</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Sample 1 Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_1" ><?php echo get_option('sam_mini_1', ek_page_options_defaults('sam_mini_1')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 1 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_1_link" ><?php echo get_option('sam_mini_1_link', ek_page_options_defaults('sam_mini_1_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 2 Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_2" ><?php echo get_option('sam_mini_2', ek_page_options_defaults('sam_mini_2')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 2 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_2_link" ><?php echo get_option('sam_mini_2_link', ek_page_options_defaults('sam_mini_2_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 3 Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_3" ><?php echo get_option('sam_mini_3', ek_page_options_defaults('sam_mini_3')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 3 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_3_link" ><?php echo get_option('sam_mini_3_link', ek_page_options_defaults('sam_mini_3_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 4 Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_4" ><?php echo get_option('sam_mini_4', ek_page_options_defaults('sam_mini_4')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 4 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_4_link" ><?php echo get_option('sam_mini_4_link', ek_page_options_defaults('sam_mini_4_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 5 Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_5" ><?php echo get_option('sam_mini_5', ek_page_options_defaults('sam_mini_5')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Sample 5 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sam_mini_5_link" ><?php echo get_option('sam_mini_5_link', ek_page_options_defaults('sam_mini_5_link')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Content header</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="content_header_bg" ><?php echo get_option('content_header_bg', ek_page_options_defaults('content_header_bg')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Description</td>
					<td><textarea cols="60" rows="4" name="content_header_desc" ><?php echo get_option('content_header_desc', ek_page_options_defaults('content_header_desc')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="content_header_title" ><?php echo get_option('content_header_title', ek_page_options_defaults('content_header_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Samples mini</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="sample_mini_bg" ><?php echo get_option('sample_mini_bg', ek_page_options_defaults('sample_mini_bg')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="samples_mini_title" ><?php echo get_option('samples_mini_title', ek_page_options_defaults('samples_mini_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Header bg</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="bg_color" ><?php echo get_option('bg_color', ek_page_options_defaults('bg_color')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>BG Image</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="bg_image" ><?php echo get_option('bg_image', ek_page_options_defaults('bg_image')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_footer_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Footer Settings</h2>
		<?php ek_admin_nav('ek_footer_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>footer template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_footer_settings' ); ?>
			<?php do_settings_sections( 'ek_footer_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Page list</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Page 1 Title</td>
					<td><textarea cols="60" rows="4" name="footer_pagelist_1" ><?php echo get_option('footer_pagelist_1', ek_page_options_defaults('footer_pagelist_1')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 1 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_pagelist_1_link" ><?php echo get_option('footer_pagelist_1_link', ek_page_options_defaults('footer_pagelist_1_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 2 Title</td>
					<td><textarea cols="60" rows="4" name="footer_pagelist_2" ><?php echo get_option('footer_pagelist_2', ek_page_options_defaults('footer_pagelist_2')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 2 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_pagelist_2_link" ><?php echo get_option('footer_pagelist_2_link', ek_page_options_defaults('footer_pagelist_2_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 3 Title</td>
					<td><textarea cols="60" rows="4" name="footer_pagelist_3" ><?php echo get_option('footer_pagelist_3', ek_page_options_defaults('footer_pagelist_3')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 3 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_pagelist_3_link" ><?php echo get_option('footer_pagelist_3_link', ek_page_options_defaults('footer_pagelist_3_link')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Footer content</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_bg_color" ><?php echo get_option('footer_bg_color', ek_page_options_defaults('footer_bg_color')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>About us</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>About Us</td>
					<td><textarea cols="60" rows="4" name="footer_about" ><?php echo get_option('footer_about', ek_page_options_defaults('footer_about')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Social</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Facebook Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="fb_usr" ><?php echo get_option('fb_usr', ek_page_options_defaults('fb_usr')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Facebook Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="fb_usr_link" ><?php echo get_option('fb_usr_link', ek_page_options_defaults('fb_usr_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Twitter Icon</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="tw_usr" ><?php echo get_option('tw_usr', ek_page_options_defaults('tw_usr')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Twitter Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="tw_usr_link" ><?php echo get_option('tw_usr_link', ek_page_options_defaults('tw_usr_link')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Subscribe</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Page 1 Title</td>
					<td><textarea cols="60" rows="4" name="footer_subscribe_1" ><?php echo get_option('footer_subscribe_1', ek_page_options_defaults('footer_subscribe_1')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 1 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_subscribe_1_link" ><?php echo get_option('footer_subscribe_1_link', ek_page_options_defaults('footer_subscribe_1_link')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 2 Title</td>
					<td><textarea cols="60" rows="4" name="footer_subscribe_2" ><?php echo get_option('footer_subscribe_2', ek_page_options_defaults('footer_subscribe_2')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Page 2 Link</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="footer_subscribe_2_link" ><?php echo get_option('footer_subscribe_2_link', ek_page_options_defaults('footer_subscribe_2_link')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_services_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Services Settings</h2>
		<?php ek_admin_nav('ek_services_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>services template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_services_settings' ); ?>
			<?php do_settings_sections( 'ek_services_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Case 2</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Description</td>
					<td><textarea cols="60" rows="4" name="cases_desc_2" ><?php echo get_option('cases_desc_2', ek_page_options_defaults('cases_desc_2')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="cases_base_2" ><?php echo get_option('cases_base_2', ek_page_options_defaults('cases_base_2')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Case 1</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Description</td>
					<td><textarea cols="60" rows="4" name="cases_desc_1" ><?php echo get_option('cases_desc_1', ek_page_options_defaults('cases_desc_1')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="cases_base_1" ><?php echo get_option('cases_base_1', ek_page_options_defaults('cases_base_1')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Case studies</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="cases_bg_color" ><?php echo get_option('cases_bg_color', ek_page_options_defaults('cases_bg_color')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="cases_title" ><?php echo get_option('cases_title', ek_page_options_defaults('cases_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Services header</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Description</td>
					<td><textarea cols="60" rows="4" name="service_desc" ><?php echo get_option('service_desc', ek_page_options_defaults('service_desc')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="service_title" ><?php echo get_option('service_title', ek_page_options_defaults('service_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_header_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Header Settings</h2>
		<?php ek_admin_nav('ek_header_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>header template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_header_settings' ); ?>
			<?php do_settings_sections( 'ek_header_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Header content</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="header_bg_color" ><?php echo get_option('header_bg_color', ek_page_options_defaults('header_bg_color')); ?></textarea></td>
				</tr>

				<tr valign="top">
					<td>Logo</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="home_logo" ><?php echo get_option('home_logo', ek_page_options_defaults('home_logo')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_single_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>Single Settings</h2>
		<?php ek_admin_nav('ek_single_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>single template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_single_settings' ); ?>
			<?php do_settings_sections( 'ek_single_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>Thumb</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>BG Color</td>
					<td><textarea cols="60" rows="1" style="resize:none;" name="single_thumb_bg_color" ><?php echo get_option('single_thumb_bg_color', ek_page_options_defaults('single_thumb_bg_color')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_404_settings_page() { ?>
	<div class="wrap">
		<img class="icon32" src="<?php echo get_option('ek_theme_logo', EKWEB.EKWEB_LOGO); ?>" />
		<h2>404 Settings</h2>
		<?php ek_admin_nav('ek_404_settings'); ?>
		<table class="widefat" style="width: 100%;background-color: #FFFBCC"><tbody>
			<tr>
				<td>
				<div>
					<b>Note :</b> This is your <b>404 template</b> settings page.  
					<div style="clear:both;height:0.5em;"></div>		
					<p>You can modify any of the <b>Custom Page Options</b> you enabled using <b>WordPress Option Tags</b> in your Export Kit PSD here.</p>
				</div>
				</td>
			</tr>
		</tbody></table>
		<?php ek_admin_css(); ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'ek_404_settings' ); ?>
			<?php do_settings_sections( 'ek_404_settings' );	?>

			<div style="clear:both;height:2.5em;"></div>
			<h2>The 404 header</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Title</td>
					<td><textarea cols="60" rows="4" name="404_title" ><?php echo get_option('404_title', ek_page_options_defaults('404_title')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>

			<div style="clear:both;height:2.5em;"></div>
			<h2>The 404 content</h2>
			<table class="form-table widefat">
				
				<tr valign="top">
					<td>Message</td>
					<td><textarea cols="60" rows="4" name="the_404_message" ><?php echo get_option('the_404_message', ek_page_options_defaults('the_404_message')); ?></textarea></td>
				</tr>

				<tr valign="top"><td></td><td><?php submit_button(); ?></td></tr>
			</table>
			
		</form>
		<div style="clear:both;height:0.5em;"></div>
		<hr style="background:#ccc;width:100%;" />
		<p style="padding-top:1em;text-align:center;">
			Powered by <a href="http://exportkit.com/" title="Visit ExportKit.com">Export Kit v126</a>.
		</p>
	</div>
<?php } 		
function ek_page_options_defaults($key = null){
	$a = array(
		'the_404_message' => 'It%20looks%20like%20nothing%20was%20found%2C%20maybe%20try%20our%20search%3F',
		'content_header_desc' => 'Lorem%20ipsum%20dolor%20sit%20amet%2C%20eu%20nam%20nominavi%20invenire%2C%20eum%20ferri%20tollit%20ut%2C%20%3Cbr%2F%3Enisl%20recteque%20ius%20et.%20Facete%20pertinax%20no%20his.%20Errem%20aliquip%20suavitate%20ex%20usu.%20%3Cbr%2F%3EHis%20solum%20labore%20ne%2C%20sed%20ludus%20labore%20an%2C%20his%20an%20erant%20prodesset.',
		'sam_mini_5_link' => '%20',
		'cases_base_2' => '%23FFFFFF',
		'sam_mini_5' => 'i5.png',
		'sam_mini_1_link' => 'http%3A%2F%2F',
		'home_title' => 'Toronto%E2%80%99s%20award%20winning%20%20%3Cbr%2F%3Ecreative%20agency',
		'404_title' => 'Nothing%20Found',
		'bg_image' => 'vector_smart_object.png',
		'footer_subscribe_2' => 'Erant%20rodesset',
		'footer_subscribe_1_link' => 'http%3A%2F%2F',
		'service_title' => 'We%20provide%20better%20service%3Cbr%2F%3Efor%20your%20digital%20needs',
		'footer_pagelist_1_link' => 'http%3A%2F%2F',
		'sam_mini_3_link' => 'http%3A%2F%2F',
		'sam_mini_2_link' => 'http%3A%2F%2F',
		'footer_subscribe_2_link' => 'http%3A%2F%2F',
		'header_bg_color' => '%23FFFFFF',
		'single_thumb_bg_color' => '%23363B49',
		'footer_pagelist_3' => 'Consequat%20non',
		'footer_pagelist_2_link' => 'http%3A%2F%2F',
		'sam_mini_3' => 'i3.png',
		'sam_mini_4_link' => 'http%3A%2F%2F',
		'sam_mini_4' => 'i4.png',
		'cases_title' => 'CASE%20STUDIES',
		'cases_bg_color' => '%23FFFFFF',
		'content_header_title' => 'WE%20WORK%20WITH%20YOU',
		'sample_mini_bg' => '%23409EC1',
		'footer_pagelist_1' => 'Consequat%20non',
		'fb_usr' => 'fb_icon.png',
		'home_logo' => 'ekbox.png',
		'footer_pagelist_3_link' => 'http%3A%2F%2F',
		'sam_mini_1' => 'i1.png',
		'footer_pagelist_2' => 'Consequat%20non',
		'tw_usr_link' => 'http%3A%2F%2Ftwitter.com',
		'cases_desc_1' => 'Lorem%20ipsum%20dolor%20sit%20amet%2C%20consectetur%20adipiscing%20elit.%20%20Morbi%20tempor%20quam%20vel%20massa%20adipiscing%20ut%20cursus%20mi%20congue.',
		'samples_mini_title' => 'SEE%20OUR%20SAMPLES%20',
		'service_desc' => 'Lorem%20ipsum%20dolor%20sit%20amet%2C%20eu%20%3Cbr%2F%3Enam%20nominavi%20invenire%2C%20eum%20ferri.',
		'cases_base_1' => '%23FFFFFF',
		'cases_desc_2' => 'Lorem%20ipsum%20dolor%20sit%20amet%2C%20consectetur%20adipiscing%20elit.%20%20Morbi%20tempor%20quam%20vel%20massa%20adipiscing%20ut%20cursus%20mi%20congue.',
		'footer_subscribe_1' => 'Erant%20rodesset',
		'fb_usr_link' => 'http%3A%2F%2Ffacebook.com',
		'home_desc' => 'Lorem%20ipsum%20dolor%20sit%20amet%2C%20eu%20%3Cbr%2F%3Enam%20nominavi%20invenire%2C%20eum%20ferri.',
		'footer_bg_color' => '%23363B49',
		'content_header_bg' => '%23409EC1',
		'bg_color' => '%23363B49',
		'tw_usr' => 'tweeter_icon.png',
		'footer_about' => 'Morbi%20tempor%20quam%20vel%20massa%20adipiscing%20ut%20cursus%20mi%20congue.%20Pellentesque%20nisl%20velit%2C%20commodo%20vel%20ultrices%20vel.%20%20%20Consequat%20non%20tortor.%20Donec%20a%20elit%20diam%2C%20ut%20interdum%20purus.%20Nam%20fringilla%20dapibus%20tellus%2C%20at%20sollicitudin%20lectus%20aliquet%20vel.%20Maecenas%20eros%20neque%2C%20fringilla%20a%20',
		'sam_mini_2' => 'i2.png'
	);
			
	if($key != null) return htmlspecialchars(urldecode($a[$key]));
	return $a;
}			

//Your Custom PHP
@include "custom.php";

//Your Custom CSS
wp_enqueue_style('custom', get_template_directory_uri().'/custom.css');

?>

